import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_cacerts_requirements(host):
    base = host.file("/etc/pki/ca-trust/source/anchors")
    command = "update-ca-trust"

    assert base.exists
    assert base.is_directory

    assert host.exists(command)
    assert host.run(command).rc == 0
